<ion-view title="Sign In" class="signUp-container" >
  <ion-content padding="true" scroll="false" class="has-header padding">
	<img src="img/system/logo-signin.png" class="logo logo-signin">  
	<div class="error-container" ng-show="loginForm.email.$invalid || loginForm.password.$invalid"> 
		<p class="padding" ng-show="loginForm.email.$error.required && (loginForm.email.$invalid && !loginForm.email.$pristine)">* Email is required</p> 
		<p class="padding" ng-show="loginForm.email.$invalid && !loginForm.email.$pristine">* Please enter valid email address</p>  
		<p class="padding" ng-show="loginForm.password.$error.required && (loginForm.password.$invalid && !loginForm.password.$pristine)">* Password is required</p>  
	</div>		
    <form name="loginForm" class="list login-form" novalidate>   
      <label class="item item-input" ng-class="{ 'has-errors' : loginForm.email.$invalid && !loginForm.email.$pristine, 'no-errors' : loginForm.email.$valid}">
        <i class="icon icon-left ion-ios-email-outline"></i>
        <input name="email" placeholder="Email" type="email" ng-model="user.email" required>
      </label>
      <label class="item item-input" ng-class="{ 'has-errors' : loginForm.password.$invalid && !loginForm.password.$pristine, 'no-errors' : loginForm.password.$valid}">
        <i class="icon icon-left ion-ios-locked-outline"></i>
        <input name="password" placeholder="Password" type="password" ng-model="user.password" required>
      </label> 
      <button class="button button-royal button-block" ng-disabled="loginForm.$invalid" ng-click="doLogin(loginForm,user)">Sign In</button>
    </form>
 
    <div class="option-links">
      <a class="create" ui-sref="signUp()">Create Account</a>
      <a class="forgot" ng-click="forgPassModal.show()">Forgot Password?</a>
    </div>
 
  </ion-content>

  <!-- Forgot Password -->
  <script id="forgot-password-modal" type="text/ng-template">
    <ion-modal-view>
      <ion-header-bar class="bar-assertive">
        <h1 class="title">Forgot Password</h1>
        <div class="buttons">
          <button class="button button-icon icon ion-close-round" ng-click="forgPassModal.hide()"></button>
        </div>
      </ion-header-bar>

      <ion-content class="padding">
        <ion-list>
          <p>We will be sending you a password reset link:</p>
          <ion-item class="item-input">
            <input type="email" name="email" ng-model="resetPass.email" placeholder="Type in your email..." required>
          </ion-item>
          <button class="button button-block" ng-click="resetPassword()">Reset Password</button>
        </ion-list>
      </ion-content>
    </ion-modal-view>
  </script>
</ion-view>